@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap");
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Inter", sans-serif;
  scroll-behavior: smooth;
}
:root {
  --text: #040316;
  --background: #fbfbfe;
  --primary: #661abc;
  --secondary: #d5cce0;
  --accent: #9c63df;
}

p {
  font-size: 17px;
}
body,
html {
  color: var(--text);
  overflow-x: hidden;
  background-color: var(--background);
}
.logo {
  cursor: pointer;
  height: 50px;
}
header {
  left: 0;
  top: 0;
  min-width: 100%;
  position: absolute;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px 10%;
  background-color: transparent;
}

.nav-links a,
.cta,
.overlay__content a {
  font-weight: 500;
  color: #000000;
  text-decoration: none;
}

.nav-links {
  list-style: none;
  display: flex;
}

.nav-links li {
  padding: 0px 20px;
  font-size: 18px;
}

.nav-links li a {
  transition: color 0.3s ease 0s;
}

.nav-links li a:hover {
  color: #671abe;
}

.off-screen-menu {
  background-color: #273036;
  height: 100vh;
  width: 100%;
  max-width: 450px;
  position: fixed;
  top: 0;
  right: -100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-size: 3rem;
  transition: 0.3s ease;
}
.off-screen-menu.active {
  right: 0;
}
.hamburger {
  display: none;
  cursor: pointer;
}

.bar {
  display: block;
  width: 25px;
  height: 3px;
  background-color: black;
  margin: 5px auto;
  transition: all 0.3s ease-in-out;
}

@media only screen and (max-width: 768px) {
  .hamburger {
    display: block; /* Pokaż hamburger menu na mniejszych ekranach */
  }

  .nav-links {
    position: fixed;
    left: -100%;
    top: 100px;
    min-height: calc(100vh -110px);
    z-index: 10000;
    flex-direction: column;
    background-color: #273036;
    width: 100%;
    text-align: center;
    transition: 0.3s;
  }
  .kontakt {
    display: none;
  }
  .nav-links li {
    margin: 25% 0 0 0;
    font-size: 32px;
  }
  .nav-links li:last-child {
    margin-bottom: 25%;
  }
  .nav-links li a {
    color: aliceblue;
  }
  .nav-links.active {
    left: 0;
  }
  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }
  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }
  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }
}

.cta {
  padding: 9px 25px;
  background-color: rgba(0, 136, 169, 1);
  border: none;
  border-radius: 50px;
  cursor: pointer;
  transition: background-color 0.3s ease 0s;
  font-size: 18px;
}

.cta:hover {
  background-color: rgba(0, 136, 169, 0.8);
}

.hero {
  width: 100%;
  margin: 0 auto;
  min-height: 100vh;
  /* parallax */
  background-image: url("svg/blob-scene-haikei.svg");
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.hero-text {
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  position: absolute;
  text-align: center;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateX(-50%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

.hero h1 {
  font-size: 72px;
  text-align: center;
  transition: 0.4s ease;
  font-weight: 800;
}
.hero p {
  font-size: 20px;
  text-align: center;
  margin-top: 20px;
}
.btns {
  margin-top: 55px;
  animation: fadeIn 1s ease;
}
.kontakt {
  padding: 15px 40px 15px 40px;
  text-decoration: none;
  font-size: 18px;
  color: #fff;
  border-radius: 50px;
  cursor: pointer;
  transition: 0.4s ease;
  background-color: #671abe;
}
.kontakt:hover {
  background-color: #43117c;
}

.o-nas {
  padding: 20px 40px 20px 40px;
  border: 1px solid #671abe;
  text-decoration: none;
  font-size: 18px;
  color: #671abe;
  border-radius: 50px;
  cursor: pointer;
  transition: 0.4s ease;
}
.o-nas:hover {
  background-color: #671abe;
  color: #fbfbfe;
}
.umow-sie {
  padding: 20px 40px 20px 40px;
  text-decoration: none;
  font-size: 18px;
  color: #671abe;
  border-radius: 50px;
  cursor: pointer;
  border: 1px solid #fbfbfe;
  transition: 0.4s ease;
}
.umow-sie:hover {
  border: 1px solid #671abe;
}
@media screen and (max-width: 1065px) {
  .btns {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .umow-sie {
    margin-top: 20px;
  }
}
/*
.back {
  
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
} */
.misja {
  background-image: url("svg/circle-scatter-haikei.svg");
  background-size: cover;
  background-position: center;
  min-height: 100vh;
  background-color: #273036;
  position: relative;
  color: aliceblue;
  padding-bottom: 300px;
}

.misja h1 {
  padding-top: 100px;
  font-size: 72px;
  letter-spacing: 2px;
  text-align: center;
}
.misja p {
  text-align: center;
  margin: 20px 0 100px 0;
}
.misja-box p {
  text-align: left;
}
.misja-box h3 {
  letter-spacing: 1px;
}

.misja-box {
  max-width: 800px;
  max-height: 150px;
  padding: 30px;
  margin-top: 15px;
  z-index: 100;
  background-color: rgba(39, 48, 54, 1);
  background-image: linear-gradient(
    89deg,
    rgba(39, 48, 54, 1) 0%,
    rgba(51, 58, 62, 1) 100%
  );
  border-radius: 20px 20px 20px 20px;
}
.misja svg {
  z-index: 100;
  position: absolute;
  left: 0;
  bottom: 0;
  min-width: 100%;
  outline: none;
  overflow: hidden;
  margin-bottom: -5px;
  color: #000000;
}
.misja-gorne-przejscie-svg {
  margin-bottom: -5px;
}
@media screen and (max-width: 534px) {
  .misja-box {
    min-height: 260px;
  }
  .hero h1 {
    font-size: 54px;
  }

  .hero .btns {
    margin-top: 25px;
  }
  .wspolpraca .btns a {
    min-width: 100%;
  }
}
.wspolpraca {
  display: flex;
  align-items: center;
  margin: 0 auto;
  min-height: 50vh;
  padding-bottom: 80px;
  max-width: 1200px;
}
.wspolpraca-content {
  float: left;
  max-width: 50%;
}
.wspolpraca-content img {
  max-width: 80%;
  margin-left: 50px;
}
.wspolpraca-text {
  float: right;
  max-width: 50%;
}
.wspolpraca-text h1 {
  font-size: 72px;
  letter-spacing: 2px;
  font-weight: 800;
}
.wspolpraca-text p {
  margin-top: 20px;
}
@media screen and (max-width: 880px) {
  .misja-box {
    max-height: 200px;
  }
  .wspolpraca {
    flex-direction: column;
  }
  .wspolpraca-text h1 {
    font-size: 54px;
  }
  .wspolpraca-content img {
    max-width: 90%;
  }
  .wspolpraca .btns {
    text-align: center;
  }
}
footer {
  background-color: #273036;
  color: #fff;
  padding: 50px 10%;
  width: 100%;
}
.footer-content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}
.footer-content h3 {
  font-size: 1.8rem;
  font-weight: 400;
  text-transform: capitalize;
  line-height: 3rem;
}
.footer-content p {
  max-width: 500px;
  margin: 10px auto;
  line-height: 28px;
  font-size: 14px;
}
.socials {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 1rem 0 3rem 0;
}
.socials li {
  margin: 0 10px;
}
.socials a {
  text-decoration: none;
  color: #fff;
  transition: color 0.4s ease;
}
.socials a i {
  font-size: 16px;
}
.socials a:hover {
  color: #8d44e0;
}
.polityka {
  text-decoration: none;
  color: #fff;
  transition: color 0.4s ease;
  margin: 20px;
}
.informacje {
  margin-bottom: 50px;
}
.polityka:hover {
  color: #8d44e0;
}
.footer-bottom {
  width: 100%;
  padding: 10px 0;
  text-align: center;
}
.footer-bottom p {
  color: #fff;
  font-size: 16px;
}

/* svg contianer */
.svg-container {
  z-index: 1;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  max-width: 1100px;
}
.image1 {
  position: absolute;
  top: 5%;
  left: auto;
  max-width: 200px;
  bottom: auto;
  width: 20vw;
  right: -5%;
  z-index: 1;
}
.image2 {
  width: 15vw;
  position: relative;
  max-width: 160px;
  top: -10%;
  bottom: auto;
  left: 0%;
  right: auto;
  z-index: 1;
}
/* specializacja */
.specializacja {
  background: var(--background);
  /*background: radial-gradient(
    circle,
    rgba(221, 221, 221, 1) 0%,
    rgba(255, 255, 255, 1) 100%
  );*/
  padding-bottom: 100px;
}
.specializacja h1 {
  font-size: 64px;
  text-align: center;
  letter-spacing: 2px;
  padding-top: 100px;
}
.specializacja-text {
  padding: 40px;
}
.specializacja h2 {
  font-size: 36px;
  text-align: center;
  margin-top: 50px;
}
.specializacja p {
  text-align: center;
  margin-top: 20px;
}
.box-container-efekty {
  width: 80%;
  height: auto;
  max-width: 1500px;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: center;
}
.box-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  max-width: 1000px;
  margin: 0 auto;
}
.box {
  margin: 50px 10px 0 10px;
  width: 300px;
  height: 320px;
  padding: 20px 40px 20px 40px;
  border: 1px solid #671abe;
  text-decoration: none;
  font-size: 18px;
  color: #671abe;
  border-radius: 50px;
  cursor: pointer;
  transition: 0.4s ease;
}
.change-color {
  color: var(--text);
  transition: color 0.3s ease;
}
.circle-box {
  margin: 50px 10px 0 10px;
  max-width: 80%;
  height: auto;
  padding: 40px;
  text-decoration: none;
  font-size: 18px;
  transition: 0.3s ease;
  display: flex;
  align-items: center;
  -webkit-box-shadow: 0 15px 45px -11px rgba(65, 67, 112, 0.49);
  -moz-box-shadow: 0 15px 45px -11px rgba(65, 67, 112, 0.49);
  box-shadow: 0 15px 45px -11px rgba(65, 67, 112, 0.49);
}

.circle-another-style {
  height: 48px;
  width: 48px;
  background-color: transparent;
  border-radius: 100px;
  color: #671abe;
  padding: 20px;
  border: 1px solid #671abe;
}
.circle {
  height: 48px;
  width: 48px;
  background-color: #671abe;
  border-radius: 100px;
  color: #fff;
  padding: 20px;
  border-style: solid;
  border-color: #671abe;
}
.box-left {
  margin: 15px 15px 0;
}
.box-right p {
  text-align: left;
}
.box-right h3 {
  letter-spacing: 1px;
}
[class^="fa-"],
[class*=" fa-"] {
  display: inline-block;
  width: 100%;
}
.box-container i {
  text-align: center;
  font-size: 72px;
  position: relative;
}
.timeline-content h2 {
  letter-spacing: 1px;
}
.timeline-content p a {
  text-decoration: none;
  color: #8d44e0;
  cursor: pointer;
  transition: all 0.4s;
}
.timeline-content p a:hover {
  color: rgb(107, 65, 155);
}
/* horizontal scroll */
.services {
  background-size: cover;
  background-position: center;
}
.services h1 {
  font-size: 64px;
  text-align: center;
  padding-top: 50px;
  letter-spacing: 2px;
}

.timeline {
  width: 80%;
  height: auto;
  max-width: 800px;
  margin: 0 auto;
  position: relative;
}

.timeline ul {
  list-style: none;
}
/* timeline styling 
.timeline ul li {
  padding: 20px;
  background-color: #273036;
  color: white;
  border-radius: 10px;
  margin-bottom: 20px;
} */
.timeline ul li {
  padding: 20px;
  background-color: #fff;
  color: var(--accent);
  border-radius: 10px;
  margin-bottom: 20px;
  border: 1px solid #671abe;
}
.timeline ul li h2 {
  color: #671abe;
}
.timeline ul li p {
  color: #000000;
}
.hidden {
  opacity: 0;
  transform: translateY(-100%) !important;
  transition: all 0.8s;
}
.fade-in {
  opacity: 1;
  transform: translateY(0) !important ;
}
.fade {
  opacity: 0;
  transform: translateX(-100%) !important;
  transition: all 1s;
}
.fade-left {
  opacity: 1;
  transform: translateY(0) !important ;
}
.timeline ul li:last-child {
  margin-bottom: 0;
}
.timeline-content h1 {
  font-weight: 500;
  font-size: 25px;
  line-height: 30px;
  margin-bottom: 10px;
}
.timeline-content p {
  font-size: 16px;
  line-height: 30px;
  font-weight: 300;
}
.timeline-content .date {
  font-size: 12px;
  font-weight: 300;
  margin-bottom: 10px;
  letter-spacing: 2px;
}
@media only screen and (min-width: 768px) {
  .timeline:before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 2px;
    height: 100%;
    background-color: var(--accent);
  }
  .timeline ul li {
    width: 50%;
    position: relative;
    margin-bottom: 50px;
  }
  .timeline ul li:nth-child(odd) {
    float: left;
    clear: right;
    right: 30px;
    border-radius: 20px 0px 20px 20px;
  }
  .timeline ul li:nth-child(even) {
    float: right;
    clear: left;
    right: 30px;
    left: 30px;
    border-radius: 0px 20px 20px 20px;
  }
  .timeline ul li::before {
    content: "";
    position: absolute;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background-color: gray;
    top: 0px;
    transition: all 0.3s ease-in-out;
  }
  .timeline ul li:nth-child(odd)::before {
    transform: translate(50%, -50%);
    right: -30px;
  }
  .timeline ul li:nth-child(even)::before {
    transform: translate(-50%, -50%);
    left: -30px;
  }
  .timeline-content .date {
    position: absolute;
    top: 30px;
  }

  .timeline ul li::before {
    background-color: var(--accent);
  }
}

/* services */
.sekcja-przejscie {
  min-width: 100vw;
}
.services-text-headline {
  max-width: 1000px;
  text-align: center;
  margin: 0 auto !important;
}
.profilowe-obrazek {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}
.profilowe-obrazek img {
  width: 100%;
  height: auto;
  border-radius: 50%;
}
.container {
  min-height: 100vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 100px 0;
}
.opinia {
  min-width: 80%;
  display: flex;
  justify-content: center; /* Wycentruje elementy w poziomie */
  align-items: center;
  flex-direction: column;
}
.opinia p {
  margin: 20px 0 20px 0;
}
/* polityka prywatnosci */

.polityka-prywatnosci {
  min-height: 100vh;
  background-image: url(tai4.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.polityka-content {
  max-width: 1000px;
  margin: 0 auto;
  padding: 100px;
}
.polityka-content h1 {
  font-size: 64px;
  margin-bottom: 20px;
  text-align: center;
}
.polityka-content h3 {
  font-size: 36px;
  margin-top: 30px;
}
.polityka-content p {
  line-height: 1.6;
  margin-top: 10px;
}
@media (max-width: 522px) {
  .services h1 {
    font-size: 48px;
  }
  .wspolpraca-text h1 {
    font-size: 48px;
  }
  .polityka-content h1 {
    font-size: 10vw;
  }
  .polityka-content h3 {
    font-size: 8vw;
  }

  .polityka-content {
    padding: 70px;
  }
}
@media (max-width: 1200px) {
  .circle-box {
    min-width: 100%;
  }
  .box-container-efekty {
    width: 100%;
  }
}

/* formularz */
.form-container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.text-headline {
  text-align: center;
  margin: 40px;
  font-weight: bold;
}
.text-headline h2 {
  margin-top: 40px;
  font-size: 36px;
  display: table; /* keep the background color wrapped tight */
  margin: 40px auto 0px auto; /* keep the table centered */
  padding: 5px;

  background-color: var(--accent);
  color: #ffffff;
}
.left-column {
  width: 50%;
  padding: 20px;
}

.right-column {
  width: 45%;
  padding: 20px;
  background-color: var(--secondary);
  border-radius: 10px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  margin-top: 3%;
}

.left-column h1 {
  font-size: 56px;
  color: var(--primary);
  margin-bottom: 20px;
}

.left-column p {
  font-size: 18px;
  line-height: 1.6;
  margin-bottom: 20px;
}

.highlight {
  color: var(--accent);
  font-weight: bold;
}

form label {
  font-size: 16px;
  color: var(--text);
}

form input[type="text"],
form input[type="email"],
form input[type="checkbox"] {
  width: 100%;
  padding: 10px;
  margin: 10px 0;
  border: 2px solid var(--accent);
  border-radius: 5px;
  font-size: 16px;
}

form input[type="checkbox"] {
  width: auto;
}

form button {
  width: 98%;
  padding: 12px;
  background-color: var(--primary);
  color: white;
  font-size: 18px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

form button:hover {
  background-color: var(--accent);
}

.images {
  display: flex;
  justify-content: space-around;
  margin-top: 20px;
}

.images img {
  width: 100%;
  height: auto;
  border-radius: 8px;
}

.checkbox-container {
  display: flex;
  align-items: center;
  margin-top: 10px;
}

.checkbox-container input {
  margin-right: 10px;
}

.error-message {
  color: red;
  text-align: center;
  margin-top: 10px;
}
.odbierz-dostep {
  padding: 15px 40px 15px 40px;
  text-decoration: none;
  font-size: 18px;
  color: #fff;
  border-radius: 50px;
  cursor: pointer;
  transition: 0.4s ease;
  background-color: #671abe;
}
.odbierz-dostep:hover {
  background-color: #43117c;
}
@media (max-width: 820px) {
  .form-container {
    flex-direction: column;
  }

  .left-column {
    width: 100%;
  }

  .right-column {
    width: 100%;
  }
}
